globus_gram_client_job_info_s(3)

NAME
globus_gram_client_job_info_s - Extensible job information structure.

SYNOPSIS

#include <globus_gram_client.h>

  Data Fields

globus_hashtable_t extensions
char * job_contact
int job_state
int protocol_error_code

Detailed Description

Extensible job information structure.

The globus_gram_client_job_info_t data type is used to pass protocol extensions along with the standard job status information included in the GRAM2 protocol. This structure contains the information returned in job state callbacks plus a hash table of extension entries that contain #globus_gram_protocol_extension_t name-value pairs.

Field Documentation

  globus_hashtable_t globus_gram_client_job_info_s::extensions
Table of extension values

  char* globus_gram_client_job_info_s::job_contact
GRAM Job Contact String

  int globus_gram_client_job_info_s::job_state
GRAM Job State

  int globus_gram_client_job_info_s::protocol_error_code
GRAM Error Code

Author

Generated automatically by Doxygen for globus_gram_client from the source code.